Subject: Re: linux-next: kvm tree build failure

From: Avi Kivity <[email-masked]>
Date: Sun, 04 Jan 2009 21:55:54 +0200

Hollis Blanchard wrote:
> The "disarm" patch should fix the build. I'll resend that in a moment.
>
> I'd like to remind you though that the cause of this breakage was the
> debug patches you applied. It's also worth noting that the "fix" is to
> delete functionality, so any way you look at it it's not a good
> situation.
>   

No question.  We should have identified this earlier (my compile time 
tester) and dealt with it.  However, note that x86 is the main arch for 
kvm; we'll try hard to accommodate ppc, but you must adapt to x86 kvm 
changes, or lose functionality.

We'll try to make this tradeoff as rare as possible, of course.

-- 
I have a truly marvellous patch that fixes the bug which this
signature is too narrow to contain.